Subject: [Ietf-not43] Result vs. Entity

From: [email-masked] (Hollenbeck, Scott)
Date: Thu, 27 Feb 2003 18:56:05 -0500

>          Thanks for your review of the document.  May I ask for
> a pointer (or pointers) in the EPP document set that 
> describes the associations
> you're concerned about?   That may help me follow the problem 
> here.

RFC 3375, section 3.4.2-[3]:
http://www.ietf.org/rfc/rfc3375.txt

> My
> reading of the CRISP requirement is to handle the lookup 
> equivalent to:
> 
> "I want to know the administrative data about $FOO" where $FOO
> is a nameserver which might be referenced by an FQDN, an IPv4 address
> or and IPv6 address".  If $FOO is referenced by an IPv4 or 
> IPv6 address
> to which multiple names are bound, I would expect the protocol
> to return all of them in a single result.  This doesn't mean it
> should elide data; it just means it treats it as a lookup rather than
> as a search.  So,  assume I believe that 216.168.254.21 is a 
> nameserver and
> I use CRISP to look up the administrative data associated 
> with it.  I get 
> back the
> admin data associated which is appropriate to my level of access:
> (Admin Contact, Geo Location, Name1, Name2, and Name3) or whatever
> the equivalent is in the chosen protocol. These might have to 
> be separate
> records (especially, it strike me, in the presence of anycast 
> nameservers),
> but they would still be returned as a single result of the lookup.

If that's the intent, good!  I'm just not sure that the term "one result" is
clear enough to note that a result may have multiple elements.

-Scott-